
load priznaky.mat
priznaku=16;
priznakyPopis={'QR','RS','RT','PR','PoffsetR','Delka vlny P','PQ','PonsetQ','PoffsetQ','QToffset','SToffset','ST','PT','RP amplituda','RT amplituda','Rozptyl intervalů PR'};
ID=priznaky(:,priznaku+1);
lide=unique(ID);
vice=[];kolik=[];
for i=1:length(lide)
    if sum(ID==lide(i))>10
        vice=[vice;lide(i)];
        kolik=[kolik;lide(i),sum(ID==lide(i))];
    end
end

hmotnost=readmatrix('osoby.csv'); %id, vek, hmotnost, 1-muz 2-zena
for j=1:length(priznaky)
    for c=1:length(hmotnost)
        if priznaky(j,priznaku+1)==hmotnost(c,1)
            priznaky(j,priznaku+2:priznaku+4)=hmotnost(c,2:4);
            break
        end
    end
end
pohlavi=priznaky(:,priznaku+4);
for i=1:16
    
    figure
    scatter(priznaky(pohlavi==1,priznaku+2),priznaky(pohlavi==1,i),'MarkerEdgeColor','r','MarkerFaceColor','r')
    hold on
    scatter(priznaky(pohlavi==2,priznaku+2),priznaky(pohlavi==2,i),'MarkerEdgeColor','b','MarkerFaceColor','b')
    xlabel('Vek','FontSize',15)
    ylabel('Hodnota příznaku','FontSize',15)
    title(priznakyPopis{i},'FontSize',15)
    
    figure
    scatter(priznaky(pohlavi==1,priznaku+3),priznaky(pohlavi==1,i),'MarkerEdgeColor','r','MarkerFaceColor','r')
    hold on
    scatter(priznaky(pohlavi==2,priznaku+3),priznaky(pohlavi==2,i),'MarkerEdgeColor','b','MarkerFaceColor','b')
    xlabel('Hmotnost','FontSize',15)
    ylabel('Hodnota příznaku','FontSize',15)
    title(priznakyPopis{i},'FontSize',15)
end